## org.apache.hadoop.util
Class ClassUtil

    java.lang.Object
      org.apache.hadoop.util.ClassUtil

    @InterfaceAudience.Private
    public class ClassUtil

extends Object

Constructor Summary
`ClassUtil()`

Method Summary
`static String` `findContainingJar(Class clazz)` Find a jar that contains a class of the same name, if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassUtil

    public ClassUtil()

Method Detail

### findContainingJar

    public static String findContainingJar(Class clazz)

  Find a jar that contains a class of the same name, if any. It will return a jar file, even if that is not the first thing on the class path that has a class with the same name.

  Parameters:
    `clazz` - the class to find.
  Returns:
    a jar file that contains the class, or null.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation